Subject: Re: [net-next 05/10] net/mlx5e: Introduce kconfig var for TC support

From: Marcelo Ricardo Leitner <[email-masked]>
Date: Mon, 25 May 2020 11:46:32 -0300

On Fri, May 22, 2020 at 04:51:43PM -0700, Saeed Mahameed wrote:
...
> +config MLX5_CLS_ACT
> +	bool "MLX5 TC classifier action support"
> +	depends on MLX5_ESWITCH && NET_CLS_ACT
> +	default y
> +	help
> +	  mlx5 ConnectX offloads support for TC classifier action (NET_CLS_ACT),
> +	  works in both native NIC mdoe and Switchdev SRIOV mode.

Typo here btw, "mdoe".

> +	  Actions get attached to a Hardware offloaded classifiers and are
> +	  invoked after a successful classification. Actions are used to
> +	  overwrite the classification result, instantly drop or redirect and/or
> +	  reformat packets in wire speeds without involving the host cpu.
> +
> +	  If set to N, TC offloads in both NIC and switchdev modes will be disabled.
> +	  If unsure, set to Y
> +
>  config MLX5_TC_CT
>  	bool "MLX5 TC connection tracking offload support"
> -	depends on MLX5_CORE_EN && NET_SWITCHDEV && NF_FLOW_TABLE && NET_ACT_CT && NET_TC_SKB_EXT
> +	depends on MLX5_CLS_ACT && NF_FLOW_TABLE && NET_ACT_CT && NET_TC_SKB_EXT
>  	default y
>  	help
>  	  Say Y here if you want to support offloading connection tracking rules